# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/clock/allwinner,sun9i-a80-mmc-config-clk.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Allwinner A80 MMC Configuration Clock Device Tree Bindings

maintainers:
  - Chen-Yu Tsai <wens@csie.org>
  - Maxime Ripard <mripard@kernel.org>

deprecated: true

description: >
  There is one clock/reset output per mmc controller. The number of
  outputs is determined by the size of the address block, which is
  related to the overall mmc block.

properties:
  "#clock-cells":
    const: 1
    description: >
      The additional ID argument passed to the clock shall refer to
      the index of the output.

  "#reset-cells":
    const: 1

  compatible:
    const: allwinner,sun9i-a80-mmc-config-clk

  reg:
    maxItems: 1

  clocks:
    maxItems: 1

  resets:
    maxItems: 1

  clock-output-names:
    maxItems: 4

required:
  - "#clock-cells"
  - "#reset-cells"
  - compatible
  - reg
  - clocks
  - clock-output-names

additionalProperties: false

examples:
  - |
    clk@1c13000 {
        #clock-cells = <1>;
        #reset-cells = <1>;
        compatible = "allwinner,sun9i-a80-mmc-config-clk";
        reg = <0x01c13000 0x10>;
        clocks = <&ahb0_gates 8>;
        resets = <&ahb0_resets 8>;
        clock-output-names = "mmc0_config", "mmc1_config",
                             "mmc2_config", "mmc3_config";
    };

...
